COMM(1)

NAME
comm - select or reject lines common to two sorted files

SYNOPSIS
comm [-123] file1 file2

DESCRIPTION
Comm reads file1 and file2, which should be ordered in the current collating sequence, and produces a three column output: lines only in file1; lines only in file2; and lines in both files. The filename `-' means the standard input.

Flags 1, 2, or 3 suppress printing of the corresponding column. Thus comm -12 prints only the lines common to the two files; comm -23 prints only lines in the first file but not in the second; comm -123 is a no-op.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_COLLATE
    Sets the collation sequence.

LC_CTYPE
    Determines the mapping of bytes to characters.

SEE ALSO
cmp(1), diff(1), uniq(1), locale(7)